Bug 834912 - glibc's makedb output unable to be used by system db
glibc's makedb output unable to be used by system db
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Law
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-24 16:39 EDT by Nicholas Kreucher
Modified: 2016-11-24 10:43 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-25 10:08:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicholas Kreucher 2012-06-24 16:39:38 EDT
Description of problem:

On fc17, the "makedb" command either produces corrupt output or is in a format not compatible with the system Berkeley DB libraries.


Version-Release number of selected component (if applicable):

$ which makedb
/bin/makedb

$ rpm -qf /bin/makedb
glibc-common-2.15-37.fc17.x86_64

$ which db_verify db4_verify
/bin/db_verify
/bin/db4_verify

$ rpm -qf /bin/db_verify /bin/db4_verify
libdb-utils-5.2.36-5.fc17.x86_64
db4-utils-4.8.30-10.fc17.x86_64


How reproducible: 100%

Steps to Reproduce:
$ echo "key value" | makedb - /tmp/out.db

$ file /tmp/out.db
/tmp/out.db: VAX-order 68k Blit mpx/mux executable

$ db_verify /tmp/out.db
db_verify: BDB0004 fop_read_meta: /tmp/out.db: unexpected file type or format
db_verify: BDB0521 Page 0: Incomplete metadata page
db_verify: /tmp/out.db: BDB0090 DB_VERIFY_BAD: Database verification failed
BDB5105 Verification of /tmp/out.db failed.

$ db4_verify /tmp/out.db
db4_verify: fop_read_meta: /tmp/out.db: unexpected file type or format
db4_verify: Page 0: Incomplete metadata page
db4_verify: /tmp/out.db: DB_VERIFY_BAD: Database verification failed


Actual results:
File is unusable.

Expected results:
File is usable.

Additional info:
The output is also unusable by python's bsddb and bsddb3 (http://pypi.python.org/pypi/bsddb3/5.3.0)
Comment 1 Jeff Law 2012-06-25 10:08:28 EDT
This is expected.  The database code in glibc is not designed to be Berkeley DB compatible.

Note You need to log in before you can comment on or make changes to this bug.